import wepy from 'wepy';

export default class navMixin extends wepy.mixin {
  /**
   * 跳转到游戏信息页面
   * @param {string} gid 游戏短id
   * */
  $toGameInfo(gid) {
    wepy.navigateTo({
      url: '/pages/gameInfo?id=' + gid
    })
  }
  // 跳转到登录公众号页面
  $toMpLogin() {
    wepy.redirectTo({
      url: '/pages/login'
    })
  }

  /**
   * 视频播放页面
   * @param {string} link 视频地址
   * @param {string} title 页面标题，可为空
   * */
  $toVideo(link, title) {
    wepy.navigateTo({
      url: '/pages/video?link=' + encodeURIComponent(link) + '&title=' + encodeURIComponent(title)
    })
  }
  /**
   * 电影播放页面
   * @param {string} movieUrl 视频地址
   * @param {string} title 页面标题，可为空
   * */
  $toMovie(movieUrl, title) {
    let obj = `{"url": "${movieUrl}","name":"${title}"}`;
    const link = `${this.$getMovieUrl()}?param=${encodeURIComponent(obj)}`;
    wepy.navigateTo({
      url: '/pages/webview?link=' + encodeURIComponent(link) + '&title=' + encodeURIComponent(title)
    })
  }

  $toWebView(url) {
    wepy.navigateTo({
      url: '/pages/webview?link=' + encodeURIComponent(url) + '&title='
    })
  }

}
